<div class="container">
	<div class="discussion-list">
		<button mat-raised-button color="primary" (click)="startNewDiscussion()" style="float: left;">Create Discussion</button>
		<br style="clear:left"/>
		<div class="discussion" *ngFor="let discussion of discussions"
			(click)="selectDiscussion(discussion)">
			<h1>{{discussion.title}}</h1>
			<p><em>{{discussion.username}}</em></p>
			<p>{{discussion.description.substring(0, 250) + 
				(discussion.description.length > 250 ? "..." : "")}}</p>
		</div>
	</div>
</div>
<div class="modal-background" *ngIf="selectedDiscussion || makingNewDiscussion"
	[class.display-flex]="selectedDiscussion || makingNewDiscussion" (click)="unselectDiscussion();cancelNewDiscussion()">
	<div class="discussion-modal" (click)="$event.stopPropagation()" *ngIf="!makingNewDiscussion">
		<div id="discussion-head">
			<h1>{{selectedDiscussion.title}}</h1>
			<p><em>{{selectedDiscussion.username}}</em></p>
			<p>{{selectedDiscussion.description}}</p>
			<button mat-raised-button color="primary" *ngIf="selectedDiscussion.userId == userId" (click)="deleteDiscussion()">Delete</button>
		</div>
		<div id="comment-thread">
			<mat-form-field appearance="outline">
				<textarea matInput id="discussion-reply" placeholder="Write a comment..."></textarea>
				<button mat-raised-button (click)="makeDiscussionComment()">Comment</button>
			</mat-form-field>
			<br />
			<app-comment *ngFor="let c of comments" 
				[comment]="c" [discussion_id]="selectedDiscussion.id"></app-comment>
		</div>
	</div>
	
	<div class="discussion-modal" (click)="$event.stopPropagation()" *ngIf="makingNewDiscussion">
		<div>
			<h1>New Discussion</h1>
			<mat-form-field>
				<mat-label for="new-discussion-title">Title</mat-label>
				<input matInput id="new-discussion-title" name="title" autocomplete="off"/>
			</mat-form-field>
			<mat-form-field>
				<mat-label for="new-discussion-desc">Description</mat-label>
				<textarea matInput id="new-discussion-desc"></textarea>
			</mat-form-field>	
			<button mat-raised-button type="submit" (click)="submitNewDiscussion()">Submit</button>
		</div>
	</div>
</div>